package com.example.pmulabs.designElem.statDesign

import androidx.compose.foundation.Image
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.offset
import androidx.compose.foundation.layout.requiredHeight
import androidx.compose.foundation.layout.requiredWidth
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import com.example.pmulabs.R

@Composable
fun LogoMobile(modifier: Modifier = Modifier) {
    Box(
        modifier = modifier
            .requiredWidth(width = 250.dp)
            .requiredHeight(height = 138.dp)
    ) {
        Image(
            painter = painterResource(id = R.drawable.ellipse7),
            contentDescription = "Ellipse 7",
            modifier = Modifier
                .fillMaxWidth()
                .requiredHeight(height = 115.dp)
                )
        Image(
            painter = painterResource(id = R.drawable.ixbtcom_colored_logo1),
            contentDescription = "IXBT.com_colored_logo 1",
            modifier = Modifier
                .align(alignment = Alignment.TopStart)
                .offset(x = 0.dp,
                    y = 0.dp)
                .fillMaxWidth()
                .requiredHeight(height = 113.dp))
    }
}

@Preview(widthDp = 250, heightDp = 138)
@Composable
private fun LogoMobilePreview() {
    LogoMobile(Modifier)
}